Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(591)

Issue 1603893002: bluetooth: Switch BluetoothGattCharacteristic.value to DataView (Closed)

Created:
3 years, 10 months ago by François Beaufort
Modified:
3 years, 10 months ago
CC:
blink-reviews, blink-reviews-dom_chromium.org, chromium-reviews, dglazkov+blink, eae+blinkwatch, rwlbuis, scheib+watch_chromium.org, sof, dominicc1
Base URL:
https://chromium.googlesource.com/chromium/src.git@bluetoothValue
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

bluetooth: Switch BluetoothGattCharacteristic.value to DataView BUG=579148 Committed: https://crrev.com/e0b2c889b851600da377b21b5e4ad7632450eb2d Cr-Commit-Position: refs/heads/master@{#370664}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : Updated tests #

Total comments: 2

Patch Set 4 : #

Messages

Total messages: 26 (11 generated)
fbeaufortchromium
As discussed in https://github.com/WebBluetoothCG/web-bluetooth/issues/172, here's a patch that changes BluetoothGattCharacteristic.value to DataView instead of a ...
3 years, 10 months ago (2016-01-19 15:02:41 UTC) #3
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1603893002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1603893002/20001
3 years, 10 months ago (2016-01-19 18:14:53 UTC) #5
ortuno
you probably want to change the ArrayBuffer reference in LayoutTests/bluetooth/characteristicvaluechanged.html Other than that LGMT
3 years, 10 months ago (2016-01-19 18:54:36 UTC) #7
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 10 months ago (2016-01-19 19:26:15 UTC) #9
fbeaufortchromium
On 2016/01/19 19:26:15, commit-bot: I haz the power wrote: > Dry run: This issue passed ...
3 years, 10 months ago (2016-01-19 19:49:44 UTC) #10
ortuno
https://codereview.chromium.org/1603893002/diff/40001/third_party/WebKit/LayoutTests/bluetooth/characteristicvaluechanged.html File third_party/WebKit/LayoutTests/bluetooth/characteristicvaluechanged.html (left): https://codereview.chromium.org/1603893002/diff/40001/third_party/WebKit/LayoutTests/bluetooth/characteristicvaluechanged.html#oldcode27 third_party/WebKit/LayoutTests/bluetooth/characteristicvaluechanged.html:27: // assert_equals(event.target.value, value); You should either assert the objects ...
3 years, 10 months ago (2016-01-19 20:08:23 UTC) #11
fbeaufortchromium
On 2016/01/19 20:08:23, ortuno wrote: > https://codereview.chromium.org/1603893002/diff/40001/third_party/WebKit/LayoutTests/bluetooth/characteristicvaluechanged.html > File third_party/WebKit/LayoutTests/bluetooth/characteristicvaluechanged.html > (left): > > https://codereview.chromium.org/1603893002/diff/40001/third_party/WebKit/LayoutTests/bluetooth/characteristicvaluechanged.html#oldcode27 ...
3 years, 10 months ago (2016-01-19 20:52:35 UTC) #12
ortuno
lgtm
3 years, 10 months ago (2016-01-19 20:58:06 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1603893002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1603893002/60001
3 years, 10 months ago (2016-01-20 07:52:42 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/137102)
3 years, 10 months ago (2016-01-20 08:00:39 UTC) #17
fbeaufortchromium
mkwst@chromium.org: Please review changes in third_party/WebKit/Source/core/dom/DOMDataView.h removing dominicc@chromium.org fom as he's travelling.
3 years, 10 months ago (2016-01-20 10:27:09 UTC) #19
sof
core/dom/ lgtm
3 years, 10 months ago (2016-01-21 09:29:41 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1603893002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1603893002/60001
3 years, 10 months ago (2016-01-21 09:32:45 UTC) #23
commit-bot: I haz the power
Committed patchset #4 (id:60001)
3 years, 10 months ago (2016-01-21 10:36:58 UTC) #24
commit-bot: I haz the power
3 years, 10 months ago (2016-01-21 10:38:06 UTC) #26
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/e0b2c889b851600da377b21b5e4ad7632450eb2d
Cr-Commit-Position: refs/heads/master@{#370664}

Powered by Google App Engine
This is Rietveld 408576698